## ide-persistent-map-builder ide-persistent-map-builder |

## Functions

IdePersistentMapBuilder * | ide_persistent_map_builder_new ()
void | ide_persistent_map_builder_insert ()
void | ide_persistent_map_builder_set_metadata_int64 ()
gboolean | ide_persistent_map_builder_write ()
void | ide_persistent_map_builder_write_async ()
gboolean | ide_persistent_map_builder_write_finish ()

## Types and Values

#define | IDE_TYPE_PERSISTENT_MAP_BUILDER
| IdePersistentMapBuilder

## Object Hierarchy

        GObject
        ╰── IdePersistentMapBuilder

## Description

## Functions

### ide_persistent_map_builder_new ()

    IdePersistentMapBuilder *
    ide_persistent_map_builder_new (void);

### ide_persistent_map_builder_insert ()

    void
    ide_persistent_map_builder_insert (IdePersistentMapBuilder *self,
                                       const gchar *key,
                                       GVariant *value,
                                       gboolean replace);

### ide_persistent_map_builder_set_metadata_int64 ()

    void
    ide_persistent_map_builder_set_metadata_int64
                                   (IdePersistentMapBuilder *self,
                                    const gchar *key,
                                    gint64 value);

### ide_persistent_map_builder_write ()

    gboolean
    ide_persistent_map_builder_write (IdePersistentMapBuilder *self,
                                      GFile *destination,
                                      gint io_priority,
                                      GCancellable *cancellable,
                                      GError **error);

### ide_persistent_map_builder_write_async ()

    void
    ide_persistent_map_builder_write_async
                                   (IdePersistentMapBuilder *self,
                                    GFile *destination,
                                    gint io_priority,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

### ide_persistent_map_builder_write_finish ()

    gboolean
    ide_persistent_map_builder_write_finish
                                   (IdePersistentMapBuilder *self,
                                    GAsyncResult *result,
                                    GError **error);

#### Parameters

self | an IdePersistentMapBuilder |
result | a GAsyncResult provided to callback |
error | location for a GError, or `NULL` |

#### Returns

`TRUE` if the while was written successfully; otherwise `FALSE` and `error` is set.

Since: 3.32

## Types and Values

### IDE_TYPE_PERSISTENT_MAP_BUILDER

    #define IDE_TYPE_PERSISTENT_MAP_BUILDER (ide_persistent_map_builder_get_type ())

### IdePersistentMapBuilder

    typedef struct _IdePersistentMapBuilder IdePersistentMapBuilder;